For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeDocsAPI Reference
HomeDocsAPI Reference
  • API Reference
    • GETDevice Information
    • POSTHeartbeat ping
    • POSTCreate C2C asset
    • POSTCreate C2C asset
    • POSTRequest upload URLs for real-time upload
    • POSTCreate a Comment from a C2C device
      • POSTRequest device code
      • POSTDevice Token Exchange
      • POSTRevoke Device Authorization

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceAuthentication

Revoke Device Authorization

POST
https://api.frame.io/v2/auth/revoke
POST
/v2/auth/revoke
1import requests
2
3headers = {
4 'x-client-version': '1.0.0'
5}
6
7data = {
8 'client_id': 'your-client-id',
9 'client_secret': 'your-client-secret',
10 'token': 'access_or_refresh_token'
11}
12
13response = requests.post(
14 'https://api.frame.io/v2/auth/revoke',
15 headers=headers,
16 data=data
17)
18
19result = response.json()
20print(result)
200Successful
1{
2 "success": true
3}
Revoke device authorization
Was this page helpful?
Previous

Connect a new device channel

Next

Headers

x-client-versionstringOptionalDefaults to 0.0.0

Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version.

For more on semantic versions, see here: https://semver.org/

Request

client_idstringRequired

Must be a unique identifier per hardware device, such as a unique hardware serial number. Must be the same client_id used on initial authorization.

client_secretstringRequired

A static string, provided by Frame.io to be embedded for a device manufacturer/model. Acts as an identifier within Frame.io.

tokenstringRequired

Response